Modify

#19 closed defect (unlikelytobedone)

Improve oscar infrastructure

Reported by: Jelmer Vernooij Owned by: Jelmer Vernooij
Priority: minor Milestone: 1.2
Component: OSCAR Version:
Keywords: Cc:
IRC client+version: Client-independent Operating System: Public server
OS version/distro:

Description

The current oscar code works with complicated registration and callback functions while a simple opnum table per SNAC family would be sufficient. This will simplify the code a lot (and thus make it a lot better readable and less prone to bugs).

Attachments (0)

Change History (8)

comment:1 Changed at 2005-11-15T23:27:21Z by Jelmer Vernooij

Priority: majorminor
Status: newassigned

comment:2 Changed at 2005-11-15T23:52:31Z by Jelmer Vernooij

Also kill the callback system. It's way too generic.

comment:3 Changed at 2005-11-16T17:00:02Z by Jelmer Vernooij

Initial work on this is available in the branch at http://jelmer.vernstok.nl/oss/bitlbee/bzr/oscar-refactor/

Not very well tested yet, though.

comment:4 Changed at 2005-11-16T22:50:10Z by Jelmer Vernooij

The opnum table is now in place. I'm now going to work on killing (or at least simplifying) the aim_bstream_t code.

comment:5 Changed at 2005-11-18T00:20:02Z by Jelmer Vernooij

Milestone: 1.1?

comment:6 Changed at 2005-11-21T22:46:53Z by wilmer

Version: 0.99

Part of this work got into 1.0: Ripped out the filetransfer-related code, since it's unusable in the current form anyway.

comment:7 Changed at 2006-05-22T09:31:07Z by Jelmer Vernooij

comment:8 Changed at 2018-04-29T23:57:50Z by dx

Resolution: unlikelytobedone
Status: assignedclosed

Yeah this one isn't happening.

Modify Ticket

Action
as closed The owner will remain Jelmer Vernooij.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.